Subject: bug#69397: guix import crate misses dependencies

From: Carlo Zancanaro <[email-masked]>
Date: Mon, 26 Feb 2024 11:46:01 +1100

Hi Nathan,

I just tried running your example:

On Sun, Feb 25 2024, Nathan Dehnel wrote:
> guix import crate -r --recursive-dev-dependencies --allow-yanked [email-masked]

I saw that rust-bytemuck-1 was included as an input in lots of packages,
as you said. However, I also noticed that bytemuck is present in
Guix. "guix edit rust-bytemuck" opened gnu/packages/crates-io.scm which
defines the rust-bytemuck-1 variable to a package for rust-bytemuck.

Rather than importing bytemuck separately, it should be enough to add
(use-modules (gnu packages crates-io)) at the top of your scheme file to
bring the Guix definition in.

Carlo